@import url("./normalize.css");
@import url("./switcher.css");

@font-face {
    font-family: 'Gilam';
    src: url('../fonts/gilam-regular.eot');
    src: url('../fonts/gilam-regular.ttf') format('truetype'),
        url('../fonts/Gilam-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Gilam';
    src: url('../fonts/gilam-semi-bold.eot');
    src: url('../fonts/gilam-semi-bold.ttf') format('truetype'),
        url('../fonts/Gilam-SemiBold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Circe';
    src: url('../fonts/Circe-Regular.eot');
    src: url('../fonts/Circe-Regular.woff') format('woff'),
        url('../fonts/Circe-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

html {
    font-family: 'Gilam', sans-serif;
    font-weight: 400;
    font-size: 10px;
    color: var(--main-text-color);
}

/* HEADER */

.header {
    min-height: 100%;
    min-width: max-content;
    /* background: linear-gradient(360deg, rgb(30, 18, 4) 0%, rgba(62, 43, 6, 0.6)37%, rgba(117, 66, 63, 0.5) 72%, rgba(213, 142, 142, 0.5) 100%); */
    background: var(--header-bg-image) no-repeat center;
    background-size: cover;
    padding-bottom: 33px;
    position: relative;
    font-size: 2rem;
    font-weight: 700;
    opacity: var(--bg-opacity);
    background-attachment: fixed;
}

.header__background-layer {
    height: 145px;
    width: 100%;
    background-color: var(--header-top);
    position: absolute;
}

.container {
    position: relative;
    height: 100%;
    width: 1460px;
    line-height: 1;
    margin: 0 auto;
    overflow: hidden;
    transition: all .5s ease-out;
}

.head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.header__head {
    margin-top: 45px;
}

.header__logo {
    display: flex;
    align-items: center;
    gap: 10px;
}

.header__logo-img {
    background: url("../img/logo.png") no-repeat center;
    background-size: contain;
    height: 33px;
    width: 25px;
}

.header__logo-text {
    text-transform: uppercase;
}

.header__contact-info {
    font-family: 'Circe', sans-serif;
    font-weight: 400;
    display: flex;
    align-items: center;
}

.contact-tel {
    margin-right: 20px;
    font-weight: 700;
}

.contact-tel--color {
    color: var(--btn-color);
}

.btn {
    font-family: 'Circe', sans-serif;
    font-weight: 400;
    border: 1px solid var(--btn-color);
    color: var(--btn-color);
    font-size: 1.8rem;
    display: flex;
    justify-content: space-between;
    gap: 10px;
    box-shadow: var(--item-shadow);
}

.header__callback-btn {
    padding: 15px 25px;
}

.callback-btn__icon {
    fill: var(--btn-color);
    background-size: cover;
    height: 15px;
    width: 15px;
}

.portfolio__title {
    font-size: 5rem;
    margin: 125px 0 40px;
    font-weight: 700;
}

.portfolio__descr {
    margin: 40px 0;
    line-height: 2.8rem;
    font-weight: 700;
}

.header-portfolio__items {
    display: grid;
    grid-template: repeat(2, 468px) / repeat(6, 1fr);
    grid-gap: 30px;
    font-weight: 700;
}

.portfolio__item {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    gap: 16px;
    padding: 43px;
    box-shadow: var(--item-shadow);
}

.header-portfolio__item-1 {
    grid-column: span 2;
    background-color: var(--header-color-1);
}

.header-portfolio__item-2 {
    grid-column: span 2;
    background-color: var(--header-color-2);
}

.header-portfolio__item-3 {
    grid-column: span 2;
    background-color: var(--header-color-3);
}

.header-portfolio__item-4 {
    grid-column: span 3;
    background-color: var(--header-color-4);

}

.header-portfolio__item-5 {
    grid-column: span 3;
    background-color: var(--header-color-5);
}

/* MAIN */

.main__portfolio {
    background: var(--section-bg-color);
    padding-bottom: 204px;
}

.main-portfolio__title {
    margin: 120px 0 94px;
}

.main-portfolio__items .portfolio__item {
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    font-family: sans-serif;
    line-height: 2.5rem;
    padding: 50px;
}


.main-portfolio__items {
    display: grid;
    grid-template-rows: repeat(7, auto);
    grid-template-columns: repeat(3, 1fr);
    grid-auto-flow: column dense;
    grid-gap: 30px;
    line-height: 2.5rem;
    font-size: 2rem;
    font-weight: 500;

    grid-template-areas:
        "item1 item3 item5"
        "item1 item3 item6"
        "item2 item3 item6"
        "item2 item4 item6"
        "item2 item4 item6"
        "item2 item4 item7"
        "item2 item4 item7"
    ;
}

.portfolio__item-text--bold {
    font-weight: 700;
}

.main-portfolio__item-1 {
    grid-area: item1;
    background-color: var(--section-color-1);
    height: 313px;
}

.main-portfolio__item-2 {
    grid-area: item2;
    background-color: var(--section-color-2);
    height: 560px;
}

.main-portfolio__item-3 {
    grid-area: item3;
    background-color: var(--section-color-3);
    height: 439px;
}

.main-portfolio__item-4 {
    grid-area: item4;
    background-color: var(--section-color-4);
    height: 405px;
    color: #000000;
}

.main-portfolio__item-5 {
    grid-area: item5;
    background-color: var(--section-color-2);
    height: 255px;
}

.main-portfolio__item-6 {
    grid-area: item6;
    background-color: var(--section-color-1);
    height: 313px;
}

.main-portfolio__item-7 {
    grid-area: item7;
    background-color: var(--section-color-5);
    height: 277px;
}

/* FOOTER */

.footer {
    min-height: 100%;
    min-width: max-content;
    /* background: rgba(54, 40, 9, 0.872); */
    background: var(--footer-bg-image) no-repeat center;
    background-size: cover;
    opacity: var(--bg-opacity);
    background-attachment: fixed;
}

.footer__portfolio {
    padding-bottom: 225px;
}

.footer-portfolio__head {
    align-items: baseline;
}

.footer__title {
    margin: 172px 0 72px;
}

.footer__btn {
    color: #fff;
    padding: 15px 40px;
    color: var(--btn-color);
}

.footer-portfolio__items {
    display: grid;
    grid-template: repeat(2, 391px) / repeat(3, 1fr);

    font-size: 2.2rem;
    line-height: 2.8rem;
}

.footer-portfolio__items .portfolio__item {
    padding: 60px 80px;
    font-weight: 700;
}

.footer-portfolio__item-1,
.footer-portfolio__item-6 {
    background-color: #634F2C;
}

.footer-portfolio__item-2 {
    background-color: #E8D2ABC2;
    display: flex;
    justify-content: center;
}

.footer-portfolio__item-3 {
    background-color: var(--item-color-1);
}

.footer-portfolio__item-3,
.footer-portfolio__item-4 {
    background-color: #635A4A;
}

.footer-portfolio__item-5 {
    background-color: #B08C4D;
}

.portfolio__item-logo {
    height: 50px;
    width: 100%;
}

.portfolio__item-descr--styled {
    font-weight: 400;
}

.footer-portfolio__logo-1,
.footer-portfolio__logo-6 {
    background: url("../img/footer_logo1.png") no-repeat center;
    background-size: contain;
}

.footer-portfolio__logo-2--top {
    background: url("../img/footer_logo2_1.png") no-repeat center;
    background-size: contain;
}

.footer-portfolio__logo-2--bottom {
    background: url("../img/footer_logo2_2.png") no-repeat center;
    background-size: contain;
}

.footer-portfolio__logo-3,
.footer-portfolio__logo-4 {
    background: url("../img/footer_logo3.png") no-repeat center;
    background-size: contain;
    height: 45px;
}

.footer-portfolio__logo-5 {
    background: url("../img/footer_logo5.png") no-repeat center;
    background-size: contain;
}

.portfolio__item-link {
    display: flex;
    flex-direction: column;
    align-items: center;
}